#ifndef XLRUSENSORSTABLE_H
#define XLRUSENSORSTABLE_H

#include <QString>
#include <QList>
#include <QTableWidget>

typedef struct
{
    QString name;
    double value;
    double min;
    double max;
} sensor_table;

class XlruSensorsTableClass
{
public:
    XlruSensorsTableClass(QTableWidget *_tab_sensor);
    ~XlruSensorsTableClass();

    QList<sensor_table*> list_sensors;

    void update_sensor(QString name, float value);

    QTableWidget *tab_sensor;

    void resetMinMax();

    void initializeSensor(QStringList SensorsName);

    void addNewSensor(QString name);

    int findSensorName(QString _name);

//protected;
};


#endif // XLRUSENSORSTABLE_H
